Bug 1637923 - [abrt] PackageKit: repo_mirrorlist_failure_cb(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: repo_mirrorlist_failure_cb(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libdnf
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: amatej
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5ab25ad7d468ff4b71d7dd5417b...
: 1633331 1638753 1644631 1677427 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-10 10:46 UTC by Bilal
Modified: 2019-03-31 09:36 UTC (History)
28 users (show)

Fixed In Version: libdnf-0.26.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 02:57:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.09 KB, text/plain)
2018-10-10 10:46 UTC, Bilal
no flags Details
File: cgroup (184 bytes, text/plain)
2018-10-10 10:46 UTC, Bilal
no flags Details
File: core_backtrace (8.84 KB, text/plain)
2018-10-10 10:46 UTC, Bilal
no flags Details
File: cpuinfo (1.44 KB, text/plain)
2018-10-10 10:46 UTC, Bilal
no flags Details
File: dso_list (7.75 KB, text/plain)
2018-10-10 10:46 UTC, Bilal
no flags Details
File: environ (191 bytes, text/plain)
2018-10-10 10:46 UTC, Bilal
no flags Details
File: exploitable (82 bytes, text/plain)
2018-10-10 10:46 UTC, Bilal
no flags Details
File: limits (1.29 KB, text/plain)
2018-10-10 10:47 UTC, Bilal
no flags Details
File: maps (47.35 KB, text/plain)
2018-10-10 10:47 UTC, Bilal
no flags Details
File: mountinfo (4.12 KB, text/plain)
2018-10-10 10:47 UTC, Bilal
no flags Details
File: open_fds (5.96 KB, text/plain)
2018-10-10 10:47 UTC, Bilal
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-10-10 10:47 UTC, Bilal
no flags Details
File: var_log_messages (3.48 KB, text/plain)
2018-10-10 10:47 UTC, Bilal
no flags Details

Description Bilal 2018-10-10 10:46:43 UTC
Version-Release number of selected component:
PackageKit-1.1.11-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repo_mirrorlist_failure_cb
executable:     /usr/libexec/packagekitd
journald_cursor: s=f91725d7fb3f436684f9852aab8ad73d;i=7ce1;b=f63a613fa1434643992fc8e284b67fe5;m=9e963dc4;t=577dd29bf5319;x=b1f59b9563190601
kernel:         4.18.12-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 repo_mirrorlist_failure_cb at /usr/src/debug/libdnf-0.20.0-1.fc29.x86_64/libdnf/dnf-repo.cpp:1641
 #1 check_transfer_statuses at /usr/src/debug/librepo-1.9.1-1.fc29.x86_64/librepo/downloader.c:1718
 #2 lr_perform at /usr/src/debug/librepo-1.9.1-1.fc29.x86_64/librepo/downloader.c:1956
 #3 lr_download at /usr/src/debug/librepo-1.9.1-1.fc29.x86_64/librepo/downloader.c:2083
 #4 lr_download_target at /usr/src/debug/librepo-1.9.1-1.fc29.x86_64/librepo/downloader.c:2187
 #5 lr_yum_download_url at /usr/src/debug/librepo-1.9.1-1.fc29.x86_64/librepo/yum.c:491
 #6 lr_download_url at /usr/src/debug/librepo-1.9.1-1.fc29.x86_64/librepo/downloader.c:2197
 #7 dnf_repo_download_import_public_key at /usr/src/debug/libdnf-0.20.0-1.fc29.x86_64/libdnf/dnf-repo.cpp:1616
 #8 dnf_repo_update at /usr/src/debug/libdnf-0.20.0-1.fc29.x86_64/libdnf/dnf-repo.cpp:1758
 #9 dnf_sack_add_repo at /usr/src/debug/libdnf-0.20.0-1.fc29.x86_64/libdnf/dnf-sack.cpp:2086

Comment 1 Bilal 2018-10-10 10:46:49 UTC
Created attachment 1492496 [details]
File: backtrace

Comment 2 Bilal 2018-10-10 10:46:50 UTC
Created attachment 1492497 [details]
File: cgroup

Comment 3 Bilal 2018-10-10 10:46:52 UTC
Created attachment 1492498 [details]
File: core_backtrace

Comment 4 Bilal 2018-10-10 10:46:54 UTC
Created attachment 1492499 [details]
File: cpuinfo

Comment 5 Bilal 2018-10-10 10:46:55 UTC
Created attachment 1492500 [details]
File: dso_list

Comment 6 Bilal 2018-10-10 10:46:57 UTC
Created attachment 1492501 [details]
File: environ

Comment 7 Bilal 2018-10-10 10:46:58 UTC
Created attachment 1492502 [details]
File: exploitable

Comment 8 Bilal 2018-10-10 10:47:00 UTC
Created attachment 1492503 [details]
File: limits

Comment 9 Bilal 2018-10-10 10:47:02 UTC
Created attachment 1492504 [details]
File: maps

Comment 10 Bilal 2018-10-10 10:47:03 UTC
Created attachment 1492505 [details]
File: mountinfo

Comment 11 Bilal 2018-10-10 10:47:05 UTC
Created attachment 1492506 [details]
File: open_fds

Comment 12 Bilal 2018-10-10 10:47:06 UTC
Created attachment 1492507 [details]
File: proc_pid_status

Comment 13 Bilal 2018-10-10 10:47:08 UTC
Created attachment 1492508 [details]
File: var_log_messages

Comment 14 Yaniv Kaul 2018-10-31 09:41:02 UTC
*** Bug 1644631 has been marked as a duplicate of this bug. ***

Comment 15 Kalev Lember 2018-10-31 10:12:27 UTC
Looks like a crash in libdnf. Reassigning.

Comment 16 Kalev Lember 2018-10-31 10:22:16 UTC
*** Bug 1638753 has been marked as a duplicate of this bug. ***

Comment 17 amatej 2018-12-11 10:59:34 UTC
*** Bug 1633331 has been marked as a duplicate of this bug. ***

Comment 19 Kalev Lember 2018-12-18 13:08:37 UTC
Nice, thanks amatej!

Comment 20 Arcadiy Ivanov 2019-02-10 08:54:32 UTC
Similar problem has been detected:

Found the crash in the dmesg logs. Apparently it was precipitated by the Apper automatic updates checking.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repo_mirrorlist_failure_cb
executable:     /usr/libexec/packagekitd
journald_cursor: s=36b4d7b4c1d845ef8c6e55a5395f151e;i=491ac;b=cd21236b87d748df96a2bba44b10c074;m=630fc7bf5e;t=5818534a138d0;x=67b9796ed6a5b095
kernel:         4.20.6-200.fc29.x86_64
package:        PackageKit-1.1.12-2.fc29
reason:         packagekitd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 21 Fedora Update System 2019-02-18 10:15:41 UTC
libcomps-0.1.10-2.fc29 libdnf-0.26.0-1.fc29 dnf-plugins-core-4.0.4-1.fc29 dnf-plugins-extras-4.0.2-1.fc29 dnf-4.1.0-1.fc29 librepo-1.9.4-1.fc29 createrepo_c-0.12.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 22 amatej 2019-02-18 13:21:11 UTC
*** Bug 1677427 has been marked as a duplicate of this bug. ***

Comment 23 Fedora Update System 2019-02-19 06:27:32 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 24 Fedora Update System 2019-02-21 02:57:06 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.